/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}



body{
    font-family: 'Poppins', Arial, sans-serif;
}


.hero{

    background-image: url('../img/bg-top.jpg');
    background-position: center center;
    background-size: cover;

    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    position: relative;

}

.hero--text{
    max-width: 550px;
}

.hero--flower{
    position: absolute;
    width: 550px;
}

.flower-top{
    top: 0;
    left: 0;
}

.flower-bottom{
    bottom: 0;
    right: 0;
}


/* countdown */

.countdown{

    background-color: #99AF9B;
    color: #fff;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    padding: 35px;
}

.countdown p{
    font-weight: 300;
    margin-bottom: 10px;
    font-size: 18px;
}

.countdown span{
    font-size: 26px;
}


/* sections */

.section{
    padding: 150px 20px;
}


.container{
    max-width: 1080px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 50px;
}

.container-3{
    max-width: 1080px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 50px;
}

/* card */


.card{
    display: flex;
    align-items: center;
    flex-direction: column;
}

.card img{
    height: 120px;
    margin-bottom: 20px;
}

.card h2{
    font-size: 26px;
    text-transform: uppercase;
    color: #3D3D3D;
    margin-bottom: 20px;
}

.card p{
    text-align: center;
    margin-bottom: 30px;
    font-size: 14px;
    line-height: 20px;
}

.btn{
    padding: 10px 20px;
    text-align: center;
    text-decoration: none;
    border-radius: 300px;
}

.btn.btn-green{
    background-color: #99AF9B;
    color: #fff;
    transition: all 0.3s ease-in-out;
    border: 2px solid #99AF9B;
}

.btn.btn-green:hover{
    border: 2px solid #99AF9B;
    background-color: transparent;
    color: #99AF9B;
}

/* galeria */


.galeria{
    display: grid;
    grid-gap: 30px;
    padding-left: 20px;
    padding-right: 20px;
}

.galeria img{
    max-width: 100%;
    height: auto;
    border-radius: 15px;
    transform: scale(1);
    will-change: transform;
    transition: all 0.3s ease-in-out;
}

.galeria img:hover{
    transform: scale(1.05);
}

/* footer */

footer{
    background-color: #3D3D3D;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 150px;
    color: #DDC190;
    padding: 0 30px;
    text-align: center;
}

footer p{
    font-weight: 300;
    font-size: 18px;
    line-height: 24px;
}

/* popup */

.popup{
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.398);
    display: flex;
    align-items: center;
    justify-content: center;
    display: none;
}

.popup_container{
    max-width: 700px;
    background-color: #fff;
    border-radius: 25px;
    box-sizing: border-box;
    padding: 30px;
    line-height: 25px;
}

.popup_container img{
    width: 100%;
}

.popup_container span{
    color: #99AF9B;
    margin: 0 auto;
    text-align: center;
    display: block;
    margin-top: 30px;
}

.popup_visible{
    display: flex;
}


@media screen and (max-width: 768px ){

    .container{
        grid-template-columns: 1fr;
    }

    .container-3{
        grid-template-columns: 1fr;
    }

    .hero--text{
        max-width: 70%;
    }

    .hero--flower{
        max-width: 90%;
    }

    .popup_container{
        max-width: 90%;
    }

}